Bug 155381 - java/openjdk6 does not build with WEB option enabled
java/openjdk6 does not build with WEB option enabled
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jung-uk Kim
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-08 20:50 UTC by eugen
Modified: 2011-03-29 08:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description eugen 2011-03-08 20:50:10 UTC
	The Handbook and the port java/openjdk16 claim to support Java for Firefox 3.6.
	However, the port does not build when WEB option (browser plugin and Java Web Start)
	is enabled.

Fix: 

Unknown.
How-To-Repeat: 	cd /usr/ports/java/openjdk16
	make # enable WEB option in menu

	Here are last lines of make's output:
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-03-11 04:56:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-java

Fix synopsis and reassign.
Comment 2 eugen 2011-03-28 11:40:19 UTC
Hi!

I've just found source of the problem and fixed it.

I had libxul-1.9.0.14 installed. With upgrade to libxul-1.9.2.13 or later,
problem goes away. I've settled with currently most recent ports version libxul-1.9.2.16.

Corresponding patch for ports/java/openjdk6/Makefile follows:

--- Makefile.orig	2011-03-28 17:26:06.000000000 +0700
+++ Makefile	2011-03-28 17:38:28.000000000 +0700
@@ -172,7 +172,7 @@
 BUILD_DEPENDS+=	${LOCALBASE}/bin/pkg-config:${PORTSDIR}/devel/pkg-config \
 		${LOCALBASE}/libdata/pkgconfig/glib-2.0.pc:${PORTSDIR}/devel/glib20 \
 		${LOCALBASE}/libdata/pkgconfig/gtk+-2.0.pc:${PORTSDIR}/x11-toolkits/gtk20 \
-		${LOCALBASE}/libdata/pkgconfig/mozilla-plugin.pc:${PORTSDIR}/www/libxul
+		libxul>=1.9.2.13:${PORTSDIR}/www/libxul
 ITWEBDIR=	${WRKDIR}/icedtea-web-${ITWEBVERSION}
 ITWEB_JAVAC=	${WRKSRC}/build/${OPENJDK_OSARCH}/j2sdk-image/bin/javac
 ITWEB_JAR=	${WRKSRC}/build/${OPENJDK_OSARCH}/j2sdk-image/bin/jar
Comment 3 dfilter freebsd_committer 2011-03-28 22:09:02 UTC
jkim        2011-03-28 21:08:52 UTC

  FreeBSD ports repository

  Modified files:
    java/openjdk6/files  Makefile.plugin 
  Log:
  Force libxul include directory and allow building IcedTea-Web plugin with
  an ancient xulrunner (i.e., 1.9.2.9 and earlier).  This commit should fix:
  
  PR:     ports/155381
  
  Revision  Changes    Path
  1.4       +7 -3      ports/java/openjdk6/files/Makefile.plugin
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Jung-uk Kim freebsd_committer 2011-03-28 22:09:18 UTC
State Changed
From-To: open->feedback

Although we do not support out-of-sync dependency, I've committed 
a fix.  Please verify.  Thanks! 


Comment 5 Jung-uk Kim freebsd_committer 2011-03-28 22:09:18 UTC
Responsible Changed
From-To: freebsd-java->jkim

Committed a different fix.
Comment 6 eugen 2011-03-29 06:36:39 UTC
On 29.03.2011 04:12, jkim@freebsd.org wrote:
> Synopsis: java/openjdk6 does not build with WEB option enabled
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: jkim
> State-Changed-When: Mon Mar 28 21:09:18 UTC 2011
> State-Changed-Why: 
> Although we do not support out-of-sync dependency, I've committed
> a fix.  Please verify.  Thanks!
> 
> 
> Responsible-Changed-From-To: freebsd-java->jkim
> Responsible-Changed-By: jkim
> Responsible-Changed-When: Mon Mar 28 21:09:18 UTC 2011
> Responsible-Changed-Why: 
> Committed a different fix.
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=155381

It builds, thanks.

Eugene Grosbein
Comment 7 Jung-uk Kim freebsd_committer 2011-03-29 08:26:38 UTC
State Changed
From-To: feedback->closed

Feedback received.